gconfmm: Gnome::Conf::Entry Class Reference

# Gnome::Conf::Entry Class Reference

An Entry stores an entry from a GConf "directory", including a key-value pair, the name of the Schema applicable to this entry, whether the value is a default value, and whether GConf can write a new value at this key. More...

Collaboration diagram for Gnome::Conf::Entry:
[legend]

List of all members.

## Public Member Functions
| Entry ()
| Entry (GConfEntry* castitem, bool make_a_copy=false)
| Entry (const Entry& src)
Entry& | operator= (const Entry& src)
| ~Entry ()
GConfEntry* | gobj ()
const GConfEntry* | gobj () const
GConfEntry* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
| Entry (const Glib::ustring& key, const Value&value)
| Construct an Entry with the given `key` and `value`.
void | set_value (const Value& val)
| Set the Value of the entry.
void | set_schema_name (const Glib::ustring& val)
| Set the Schema name of the entry.
void | set_is_default (bool is_default=true)
| Set whether the value has orginated from the default given in the Schema.
void | set_is_writable (bool is_writable=true)
| Set whether the given configuration key iw writeable.
Value | get_value () const
| Retrieve the value of the entry.
Glib::ustring | get_schema_name () const
| Retrieve the Schema name associated with the given entry.
Glib::ustring | get_key () const
bool | get_is_default () const
bool | get_is_writable () const
## Protected Attributes
GConfEntry* | gobject_
## Related Functions
(Note that these are not member functions.)
Gnome::Conf::Entry | wrap (GConfEntry* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An Entry stores an entry from a GConf "directory", including a key-value pair, the name of the Schema applicable to this entry, whether the value is a default value, and whether GConf can write a new value at this key.

The key should be an absolute key, not a relative key.

## Constructor & Destructor Documentation

Gnome::Conf::Entry::Entry | ( |  | ) |

Gnome::Conf::Entry::Entry | ( | GConfEntry * | castitem,
|  | bool | make_a_copy = `false` |
| ) |  |  | `[explicit]`

Gnome::Conf::Entry::Entry | ( | const Entry& | src | ) |

Gnome::Conf::Entry::~Entry | ( |  | ) |

Gnome::Conf::Entry::Entry | ( | const Glib::ustring & | key,
|  | const Value& | value |
| ) |  |  |

Construct an Entry with the given `key` and `value`.

## Member Function Documentation

bool Gnome::Conf::Entry::get_is_default | ( |  | ) | const

bool Gnome::Conf::Entry::get_is_writable | ( |  | ) | const

Glib::ustring Gnome::Conf::Entry::get_key | ( |  | ) | const

Glib::ustring Gnome::Conf::Entry::get_schema_name | ( |  | ) | const

Retrieve the Schema name associated with the given entry.

Value Gnome::Conf::Entry::get_value | ( |  | ) | const

Retrieve the value of the entry.

Returns:
  a copy the entry's value.

const GConfEntry* Gnome::Conf::Entry::gobj | ( |  | ) | const`[inline]`

GConfEntry* Gnome::Conf::Entry::gobj | ( |  | ) | `[inline]`

GConfEntry* Gnome::Conf::Entry::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

Entry& Gnome::Conf::Entry::operator= | ( | const Entry& | src | ) |

void Gnome::Conf::Entry::set_is_default | ( | bool | is_default = `true` | ) |

Set whether the value has orginated from the default given in the Schema.

void Gnome::Conf::Entry::set_is_writable | ( | bool | is_writable = `true` | ) |

Set whether the given configuration key iw writeable.

void Gnome::Conf::Entry::set_schema_name | ( | const Glib::ustring & | val | ) |

Set the Schema name of the entry.

void Gnome::Conf::Entry::set_value | ( | const Value& | val | ) |

Set the Value of the entry.

## Friends And Related Function Documentation

Gnome::Conf::Entry wrap | ( | GConfEntry * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GConfEntry* Gnome::Conf::Entry::gobject_`[protected]`

The documentation for this class was generated from the following file:

- gconfmm/entry.h